Jack2 1.9.12

Public Attributes | List of all members
PaHostApiInfo Struct Reference

`#include <portaudio.h>`

## Public Attributes
int | structVersion
PaHostApiTypeId | type
const char * | name
int | deviceCount
PaDeviceIndex | defaultInputDevice
PaDeviceIndex | defaultOutputDevice

## Detailed Description

A structure containing information about a particular host API.

Definition at line 236 of file portaudio.h.

## Member Data Documentation

## ◆ structVersion

int PaHostApiInfo::structVersion

this is struct version 1

Definition at line 238 of file portaudio.h.

## ◆ type

PaHostApiTypeId PaHostApiInfo::type

The well known unique identifier of this host API

See also
  PaHostApiTypeId

Definition at line 240 of file portaudio.h.

## ◆ name

const char* PaHostApiInfo::name

A textual description of the host API for display on user interfaces.

Definition at line 242 of file portaudio.h.

## ◆ deviceCount

int PaHostApiInfo::deviceCount

The number of devices belonging to this host API. This field may be used in conjunction with Pa_HostApiDeviceIndexToDeviceIndex() to enumerate all devices for this host API.

See also
  Pa_HostApiDeviceIndexToDeviceIndex

Definition at line 249 of file portaudio.h.

## ◆ defaultInputDevice

PaDeviceIndex PaHostApiInfo::defaultInputDevice

The default input device for this host API. The value will be a device index ranging from 0 to (Pa_GetDeviceCount()-1), or paNoDevice if no default input device is available.

Definition at line 255 of file portaudio.h.

## ◆ defaultOutputDevice

PaDeviceIndex PaHostApiInfo::defaultOutputDevice

The default output device for this host API. The value will be a device index ranging from 0 to (Pa_GetDeviceCount()-1), or paNoDevice if no default output device is available.

Definition at line 261 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h